package org.maachang.comet.httpd.engine.script.service.mail;

import javax.mail.Authenticator;
import javax.mail.PasswordAuthentication;

class MailAuth extends Authenticator {
    private String user = null ;
    private String passwd = null ;
    private MailAuth() {
    }
    public MailAuth( String user,String passwd ) {
        this.user = user ;
        this.passwd = passwd ;
    }
    protected PasswordAuthentication getPasswordAuthentication() {
        return new PasswordAuthentication( user,passwd ) ;
    }
}

